﻿# Créé par Elias Berrabah, le 15/11/2019 en Python 3.4
'''FICHE 1 : Matplotlib et probabilités'''

#Proposition d’exo 2 : quelques idées autour de l'échantillonnage

import random
from matplotlib.pyplot import *
from math import *

def frequence(n):

    """ n (entier, type int) représente le nombre de tirages.
    Pour chacune des n expériences, on simule de façon suivante : on choisit aléatoirement un nombre entre 1 et 10.
    Les entiers 1,2,3 représentent la  	 boule rouge et les autres, la verte. """

    somme = 0
    for k in range(n):
        alea = random.randint(1,10)
        if alea <=3:
            somme += 1

    return somme/n

def echantillon(n):
    # intervalle de fluctuation
    gauche = 0.3-1/sqrt(n)
    droite = 0.3+1/sqrt(n)

    # on trace deux segments horizontales en pointillé,  y =  gauche, y = droite
    plot([0,100],[gauche,gauche],color="black",linestyle="dashed")
    plot([0,100], [droite,droite],color="black",linestyle="dashed")

    for k in range(100):
        freq = frequence(n)
        if gauche <= freq <= droite:
            plot(k,freq,color="red",marker="x")
        else:
            plot(k,freq,color="blue",marker="x")

    show()
